"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const action = {
    title: 'Track Event',
    description: 'Invoke survey with Segment Track event',
    platform: 'web',
    defaultSubscription: 'type = "track"',
    fields: {
        name: {
            description: 'The event name',
            label: 'Event name',
            required: true,
            type: 'string',
            default: {
                '@path': '$.event'
            }
        },
        properties: {
            type: 'object',
            required: false,
            description: 'Object containing the properties of the event',
            label: 'Event Properties',
            default: {
                '@path': '$.properties'
            }
        }
    },
    perform: (_, { payload: { name, properties } }) => {
        const segmentProperties = properties || {};
        window._sva.invokeEvent(`segmentEvent-${name}`, segmentProperties);
    }
};
exports.default = action;
//# sourceMappingURL=index.js.map